//https://www.youtube.com/BitaBit

//https://www.bitabittecnologia.com.br

//Exemplo simples para exibir um texto definindo o cursor e utilizando um pino do Arduino para definir o contraste.

#include <LiquidCrystal.h>

int rs = 12; //Pino Register select
int e = 11;  //Pino Enable
int d4 = 5;  //Pino de dados d4
int d5 = 4;  //Pino de dados d5
int d6 = 3;  //Pino de dados d6 
int d7 = 2;  //Pino de dados d7

int vo = 6; //Pino para controlar o contraste.

LiquidCrystal lcd(rs, e, d4, d5, d6, d7);

void setup() 
{
  lcd.begin(16, 2); //LCD de 16 colunas e 2 linhas.

  analogWrite(vo, 135); //Define o contraste.

  //Posiciona o cursor na última coluna do display de 16 colunas e define a direção do texto de direita para a esquerda.
  //lcd.setCursor(15, 0);
  //lcd.rightToLeft();

  //Define a posição do primeiro caractere do texto abaixo e exibe da esquerda para a direita
  //A direção padrão é da esquerda para a direita, o método para exibir desta maneia é leftToRight().
  lcd.setCursor(0, 0); 

  lcd.print("B1T A B1T");
}

void loop() 
{
  /*
  lcd.noDisplay(); //Desliga o display.
  delay(1000);

  lcd.display(); //Liga o display.
  delay(1000);
  */
}

